<?php
class WCOSM_Email  
{
	public function __construct() 
	{
	}
	public function trigger( $default_recipients, $products_to_warn, $order , $attachment = array()) {
	 
		/* global $woocommerce; */

		//$recipient = get_option( 'admin_email' );
		//$subject = sprintf( __('%d Items are running out of stock', 'woocommerce-out-of-stock-manager'), count($products_to_warn));
		$subject = sprintf( __('Items are running out of stock', 'woocommerce-out-of-stock-manager'));
		$header = sprintf(__('<p>Order #%s has been placed and following item(s) are running out of stock:<br/>', 'woocommerce-out-of-stock-manager'),'<a href="'.admin_url('post.php?post='.WCOSM_Order::get_id($order).'&action=edit').'">'.WCOSM_Order::get_id($order).'</a>');
		
		$content_by_recipiends = array();
		//$content .= '<table>';
		foreach($products_to_warn as $product_data)
		{
			$product = $product_data['product'];
			$rule_name = $product_data['rule'] != 'none' && $product_data['rule']['rule_name'] ? $product_data['rule']['rule_name'].": " : "";
			$rule_name = $product_data['rule'] == 'none' ? __('Default', 'woocommerce-out-of-stock-manager') : $rule_name;
			
			$variant = $product['variation_id'] != 0 ?  sprintf(__(' ( Variant id: %d )', 'woocommerce-out-of-stock-manager'),$product['variation_id']) : "";
			/* $content .= */ 
			$body ='<tr>'.$rule_name.'<a href="'.admin_url('post.php?post='.$product['product_id'].'&action=edit').'">'.
					$product['product']->get_title().'</a> '.$variant.' '.__(' quantity left: ', 'woocommerce-out-of-stock-manager').
					$product['product']->get_stock_quantity( ).'<br/></tr>';
			
			if($product_data['rule'] != 'none' && $product_data['rule']['email_notification_recipients'] != "")
			{
				if(!isset($content_by_recipiends[$product_data['rule']['email_notification_recipients']]))
					$content_by_recipiends[$product_data['rule']['email_notification_recipients']] = "";
				$content_by_recipiends[$product_data['rule']['email_notification_recipients']] .= $body;
			}
			else
			{
				if(!isset($content_by_recipiends[$default_recipients]))
					$content_by_recipiends[$default_recipients] = "";
				$content_by_recipiends[$default_recipients] .= $body;
			}
			
		}
		
		//$content .= '</table>';
		//$content .= sprintf( __('Go to site %s to edit stock quantities.', 'woocommerce-out-of-stock-manager'), '<a href="'.admin_url().'">'.__('Dashboard', 'woocommerce-out-of-stock-manager').'</a>');
		
		$mail = WC()->mailer();
		$email_heading = get_bloginfo('name');
		
		foreach((array)$content_by_recipiends as $current_recipiends => $body_message)
		{
			$message = "";
			ob_start();
			$mail->email_header($email_heading );
			echo $header;	
			echo '<table>';
			echo $body_message;
			echo '</table>';
			echo sprintf( __('Go to site %s to edit stock quantities.', 'woocommerce-out-of-stock-manager'), '<a href="'.admin_url().'">'.__('Dashboard', 'woocommerce-out-of-stock-manager').'</a>');
			$mail->email_footer();
			$message .=  ob_get_contents();
			ob_end_clean(); 
			
			add_filter('wp_mail_from_name',array(&$this, 'wp_mail_from_name'));
			try{
				if(!$mail->send( $current_recipiends, $subject, $message, "Content-Type: text/html\r\n", $attachment))
				wp_mail( $recipients, $subject, $message, "Content-Type: text/html\r\n", $attachments);
			}catch(Exception $e){}
			remove_filter('wp_mail_from_name',array(&$this, 'wp_mail_from_name'));
		}
		
	}
	public function wp_mail_from_name($name) 
	{
		return get_bloginfo('name');
	}
} 