<?php 
class WCOSM_Html
{
	public function __construct()
	{
		 
	}
	private function common_css_and_js()
	{
		/* wp_enqueue_style('datepicker-classic', WCOSM_PLUGIN_URL.'/css/datepicker/classic.css');   
		wp_enqueue_style('datepicker-date-classic', WCOSM_PLUGIN_URL.'/css/datepicker/classic.date.css');   
		wp_enqueue_style('datepicker-time-classic', WCOSM_PLUGIN_URL.'/css/datepicker/classic.time.css');    */
		wp_enqueue_style('wcosm-general', WCOSM_PLUGIN_URL.'/css/admin-general.css');
		
		/* wp_enqueue_script('wcds-ui-chart', WCOSM_PLUGIN_URL.'/js/Chart.min.js', array( 'jquery' ));
		wp_enqueue_script('wcds-ui-chart-stackedbar', WCOSM_PLUGIN_URL.'/js/Chart.StackedBar.js', array( 'jquery' ));
		wp_enqueue_script('wcds-ui-picker', WCOSM_PLUGIN_URL.'/js/picker.js', array( 'jquery' ));
		wp_enqueue_script('wcds-ui-timepicker', WCOSM_PLUGIN_URL.'/js/picker.date.js', array( 'jquery' )); */
	}
	
	public function render_out_of_stock_managment_table($is_widget = true)
	{
		global $wcosm_order_model;
		$wcosm_stock_manager_view_type = 'country';
		
		$this->common_css_and_js();
		wp_enqueue_style('wcds-widget-data-table', WCOSM_PLUGIN_URL.'/css/jquery.dataTables.min.css');  
		if($is_widget)
			wp_enqueue_style('wcds-widget-stock_manager', WCOSM_PLUGIN_URL.'/css/admin-widget-out-of-stock-manager.css');  
		wp_enqueue_script('wcds-stock_manager-widget', WCOSM_PLUGIN_URL.'/js/admin-stock_manager-widget.js', array( 'jquery' ));
		wp_enqueue_script('wcds-jquery-datatable-widget', WCOSM_PLUGIN_URL.'/js/jquery.dataTables.min.js', array( 'jquery' ));
		?>
		<script>
		var wcosm_stock_manager_currency = "<?php echo get_woocommerce_currency_symbol(); ?>";
		var wcosm_stock_manager_widget_date_error = "<?php _e('Start date cannot be greater than End date.', 'woocommerce-out-of-stock-manager'); ?>";
		var wcosm_stock_manager_widget_no_data_to_update_error = "<?php _e('No data to update!', 'woocommerce-out-of-stock-manager'); ?>";
		var wcosm_is_widget = <?php echo $is_widget ? "true":"false"; ?>;
		</script>
		<!-- conf -->
		
		<select style="display:none;" id="wcosm_max_results_num">
			<option value="1" selected="selected"><?php _e('Max results per threshold rule', 'woocommerce-out-of-stock-manager' ); ?></value>
			<option value="10">10</value>
			<option value="20">20</value>
			<option value="50">50</value>
			<option value="100">100</value>
			<option value="all"><?php _e('All', 'woocommerce-out-of-stock-manager' ); ?></value>
		</select>
		<select id="wcosm_view_type">
			<option value="threshold_level" selected="selected"><?php _e('Items under custom stock values', 'woocommerce-out-of-stock-manager' ); ?></value>
			<option value="all" ><?php _e('All manageable stock items', 'woocommerce-out-of-stock-manager' ); ?></value>
		</select>
		<input class="button-primary wcosm_primary_button" id="wcosm_stock_manager_filter_button" type="submit" value="<?php _e('Filter', 'woocommerce-out-of-stock-manager' ); ?>" >  </input>
	
		<div id="wcosm_stock_manager_wait_box" class="wcosm_wait_box">
			<?php _e('Computing data, please wait...', 'woocommerce-out-of-stock-manager' ); ?>
			<img class="wcosm_preloader_image" src="<?php echo WCOSM_PLUGIN_URL.'/images/preloader.gif' ?>" ></img>
		</div>
		
		<div id="wcosm_stock_manager_table" class="wcosm_table">
			
			<table id="wcosm_product_table" class="display striped" cellspacing="0" width="100%" ><!--class="wp-list-table widefat fixed customers"-->
				<thead>
						<tr>
							<th scope="col" class="manage-column column-id" style=""><?php  _e('ID', 'woocommerce-out-of-stock-manager');?></th>
							<?php if(!$is_widget): ?>
								<th scope="col" class="manage-column column-sku sortable" style=""><?php  _e('Sku', 'woocommerce-out-of-stock-manager');?></th>
							<?php endif; ?>
							<th scope="col" class="manage-column column-name sortable" style=""><?php  _e('Name', 'woocommerce-out-of-stock-manager');?></th>
							<th scope="col" class="manage-column column-cat sortable" style=""><?php  _e('Category(ies)', 'woocommerce-out-of-stock-manager');?></th>
							<?php if(!$is_widget): ?>
								<!-- <th scope="col" class="manage-column column-status sortable" style=""><?php  _e('Status', 'woocommerce-out-of-stock-manager');?></th> 
								<th scope="col" class="manage-column column-type sortable" style=""><?php  _e('Type', 'woocommerce-out-of-stock-manager');?></th>-->
								<th scope="col" class="manage-column column-orig-stock sortable" style=""><?php  _e('Original stock', 'woocommerce-out-of-stock-manager');?></th>
							<?php endif; ?>
							<th scope="col" class="manage-column column-stock sortable" style=""><?php  _e('Modify stock', 'woocommerce-out-of-stock-manager');?></th>
							</tr>
				</thead>
				<tbody id="wcosm_table_body">
				</tbody>
				<tfoot>
						<tr>
							<th scope="col" class="manage-column column-id" style=""><?php  _e('ID', 'woocommerce-out-of-stock-manager');?></th>
							<?php if(!$is_widget): ?>
								<th scope="col" class="manage-column column-sku sortable" style=""><?php  _e('Sku', 'woocommerce-out-of-stock-manager');?></th>
							<?php endif; ?>
							<th scope="col" class="manage-column column-name sortable" style=""><?php  _e('Name', 'woocommerce-out-of-stock-manager');?></th>
							<th scope="col" class="manage-column column-cat sortable" style=""><?php  _e('Category(ies)', 'woocommerce-out-of-stock-manager');?></th>
							<?php if(!$is_widget): ?>
								<!--<th scope="col" class="manage-column column-status sortable" style=""><?php  _e('Status', 'woocommerce-out-of-stock-manager');?></th> 
								<th scope="col" class="manage-column column-type sortable" style=""><?php  _e('Type', 'woocommerce-out-of-stock-manager');?></th>-->
								<th scope="col" class="manage-column column-orig-stock sortable" style=""><?php  _e('Original stock', 'woocommerce-out-of-stock-manager');?></th>
							<?php endif; ?>
							<th scope="col" class="manage-column column-stock sortable" style=""><?php  _e('Modify stock', 'woocommerce-out-of-stock-manager');?></th>
						</tr>
				</tfoot>
			</table>
			<button class="button-primary wcosm_primary_button" id="wcosm-save-data-button"><?php  _e('Save', 'woocommerce-out-of-stock-manager');?></button>		
			<div id="wcosm_loader_during_data_update"></div>
		</div>
		<?php 
	}
	
}
?>